import lodash from 'lodash'
import { interact } from '../../utils'
import apis from '../../config/api'

export default {
  namespaced: true,
  state: {
    followup : {},
    sex:""
  },
  mutations: {
    updateFollowup(state, payload) {
      state.followup  = payload || {}
    }
  },
  actions: {
    getFollowup({ commit }, payload) { // 查询所有
      const api = lodash.get(apis, 'followupRecord.list')
      // const api = lodash.get(apis, 'customerList.list')
      interact(api, payload).then((data) => {
        commit('updateFollowup', data)
      })
    }
  }
}